Hands In Docs
APIV1

List all checkout sessions

GET
/checkouts

Retrieve a list of checkout sessions by supplying the correct parameters.

Authorization

AuthorizationBearer <token>

Merchant JWT bearer token

In: header

Scope: checkouts.read

Query Parameters

startKey?string

A unique identifier for the checkout session object.

orderBy?string
from?string
orderType?string

The order in which objects are returned by

pageSize?integer

The maximum number of objects that can be returned

Response Body

application/json

application/json

curl -X GET "https://example.com/checkouts"
[
  {
    "id": "string",
    "status": "PENDING",
    "lineItems": [
      {
        "item": {
          "metaData": {
            "property1": "string",
            "property2": "string"
          },
          "referenceId": "string",
          "description": "string",
          "imageUrls": [
            "https://www.randomurl.com"
          ],
          "attributes": {
            "size": "xs",
            "color": "blue"
          },
          "sku": "string",
          "amountMoney": {
            "amount": 100,
            "currency": "AED"
          },
          "name": "string",
          "id": "string"
        },
        "quantity": 0,
        "subtotalMoney": {
          "amount": 100,
          "currency": "AED"
        },
        "totalMoney": {
          "amount": 100,
          "currency": "AED"
        }
      }
    ],
    "subtotalMoney": {
      "amount": 100,
      "currency": "AED"
    },
    "totalMoney": {
      "amount": 100,
      "currency": "AED"
    },
    "expirationDate": "2019-08-24T14:15:22Z",
    "url": "https://www.randomurl.com",
    "customerId": "string",
    "paymentId": "string",
    "groupPaymentId": "string",
    "isDynamicPricingEnabled": false,
    "checkoutPageOptions": {
      "successUrl": "https://www.randomurl.com",
      "approvedUrl": "https://www.randomurl.com",
      "cancelUrl": "https://www.randomurl.com",
      "expireUrl": "https://www.randomurl.com",
      "style": {
        "secondaryColor": "string",
        "primaryColor": "string"
      }
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "referenceId": "string",
    "metaData": {
      "property1": "string",
      "property2": "string"
    },
    "source": "string"
  }
]
{
  "http_status_code": 100,
  "moreInfo": "https://www.randomurl.com",
  "name": "string",
  "detail": "string",
  "instance": "/pets/dogs/123",
  "property1": null,
  "property2": null
}